/*
 * LocoTool Dynamic Runtime Linking
 *
 * Copyright (c) 2004 Thomas Johansson <prencher@prencher.dk>
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in 
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 *
 * locotooldyn_example.c - Example of use
 */

#include <windows.h>
#include "locotooldyn.h"

int main(void)
{
    LocoTool_Instance *instance; 

    instance = LocoTool_CreateInstance("locotool.dll");
    if (!instance) {
        MessageBox(NULL, "Could not load locotool.dll", "Error", MB_OK | MB_ICONERROR);
        return 0;
    }

    instance->decode("A380.dat");
    instance->encode("A380.xml");

    LocoTool_FreeInstance(instance);
    return 0;
}
